Bug 818117 - ovirt-engine-backend [Task Manager]: when a vm is rerun because of failure on host side task view is reporting vm launch as failed
ovirt-engine-backend [Task Manager]: when a vm is rerun because of failure on...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Unspecified
high Severity medium
: ---
: ---
Assigned To: Eli Mesika
Dafna Ron
virt, infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 05:24 EDT by Dafna Ron
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: si8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (49.29 KB, application/x-gzip)
2012-05-02 05:24 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-05-02 05:24:59 EDT
Created attachment 581549 [details]
logs

Description of problem:

if during vm launch we have a failure on host the vm will rerun on a different host and succeed to run. 
Task manager is reporting vm launch as failed although rerun treatment was successfully. 

Version-Release number of selected component (if applicable):

si2.1

How reproducible:

100%

Steps to Reproduce:
1. run a vm on specific host and kill it's pid during wait for launch
2.
3.
  
Actual results:

vm will rerun on second host but Task manager will report task as failed. 

Expected results:

we should either create a new task for the second launch or report rerun as a step. 

Additional info: logs and screen shot


killed vm in blond-vdsh:

[root@blond-vdsh ~]# vdsClient -s 0 list table 
96ac75c3-0364-4abe-94c2-65ad10eecb9c   9532  XP                   Up                                       
[root@blond-vdsh ~]# kill -9 9532


it reruan on orage-vdsd:

[root@orange-vdsd ~]# vdsClient -s 0 list table 
96ac75c3-0364-4abe-94c2-65ad10eecb9c  17521  XP                   Up
Comment 1 Eli Mesika 2012-06-19 07:15:33 EDT
http://gerrit.ovirt.org/#/c/5477/
Comment 2 Eli Mesika 2012-06-20 10:46:16 EDT
git hash : 11d2bbe
Comment 3 Dafna Ron 2012-07-01 11:37:58 EDT
verified on si8

Note You need to log in before you can comment on or make changes to this bug.